Package org.kapott.hbci.sepa.jaxb.camt_052_001_08

# Class Price7

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_08.Price7

public class Price7 extends Object

Java class for Price7 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Price7">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Tp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}YieldedOrValueType1Choice"/>
             <element name="Val" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}PriceRateOrAmount3Choice"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected YieldedOrValueType1Choice`
`tp`
`protected PriceRateOrAmount3Choice`
`val`

## Constructor Summary

Constructors
Constructor
Description
`Price7()`

## Method Summary

Modifier and Type
Method
Description
`YieldedOrValueType1Choice`
`getTp()`
Gets the value of the tp property.
`PriceRateOrAmount3Choice`
`getVal()`
Gets the value of the val property.
`void`
`setTp(YieldedOrValueType1Choice value)`
Sets the value of the tp property.
`void`
`setVal(PriceRateOrAmount3Choice value)`
Sets the value of the val property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### tp

protected YieldedOrValueType1Choice tp

### val

protected PriceRateOrAmount3Choice val

## Constructor Details

### Price7

public Price7()

## Method Details

### getTp

public YieldedOrValueType1Choice getTp()
Gets the value of the tp property.

Returns:
  possible object is `YieldedOrValueType1Choice`

### setTp

public void setTp(YieldedOrValueType1Choice value)
Sets the value of the tp property.

Parameters:
  `value` - allowed object is `YieldedOrValueType1Choice`

### getVal

public PriceRateOrAmount3Choice getVal()
Gets the value of the val property.

Returns:
  possible object is `PriceRateOrAmount3Choice`

### setVal

public void setVal(PriceRateOrAmount3Choice value)
Sets the value of the val property.

Parameters:
  `value` - allowed object is `PriceRateOrAmount3Choice`